grk::PLCache Class Reference

`#include <PLCache.h>`

## Public Member Functions

| PLCache (CodingParams *cp)
virtual | ~PLCache ()
PLMarkerMgr * | createMarkers (BufferedStream *strm)
PLMarkerMgr * | getMarkers (void)
void | deleteMarkers (void)
bool | next (PacketInfo **p)
void | rewind (void)

## Private Attributes

PLMarkerMgr * | pltMarkers
CodingParams * | cp_

## Constructor & Destructor Documentation

## PLCache()

grk::PLCache::PLCache | ( | CodingParams * | cp | ) |

## ~PLCache()

grk::PLCache::~PLCache | ( |  | ) |

virtual

References pltMarkers.

## Member Function Documentation

## createMarkers()

PLMarkerMgr * grk::PLCache::createMarkers | ( | BufferedStream * | strm | ) |

References grk::grk_read(), and pltMarkers.

Referenced by grk::TileProcessor::doCompress().

## deleteMarkers()

void grk::PLCache::deleteMarkers | ( | void |  | ) |

References pltMarkers.

Referenced by grk::TileProcessor::doCompress().

## getMarkers()

PLMarkerMgr * grk::PLCache::getMarkers | ( | void |  | ) |

References pltMarkers.

Referenced by grk::T2Decompress::decompressPackets(), grk::TileProcessor::doCompress(), grk::TileProcessor::pcrdBisectFeasible(), grk::TileProcessor::pcrdBisectSimple(), grk::PacketIter::skipPackets(), and grk::TileProcessor::writeTilePartT2().

## next()

bool grk::PLCache::next | ( | PacketInfo ** | p | ) |

References cp_, grk::GRK_ERROR(), grk::grk_read(), grk::PLMarkerMgr::isEnabled(), grk::CodingParams::plm_markers, pltMarkers, and grk::PLMarkerMgr::pop().

Referenced by grk::T2Decompress::processPacket().

## rewind()

void grk::PLCache::rewind | ( | void |  | ) |

References cp_, grk::CodingParams::plm_markers, pltMarkers, and grk::PLMarkerMgr::rewind().

Referenced by grk::T2Decompress::decompressPackets().

## Member Data Documentation

## cp_

CodingParams* grk::PLCache::cp_

private

Referenced by next(), and rewind().

## pltMarkers

PLMarkerMgr* grk::PLCache::pltMarkers

private

Referenced by createMarkers(), deleteMarkers(), getMarkers(), next(), rewind(), and ~PLCache().

The documentation for this class was generated from the following files:

- PLCache.h
- PLCache.cpp